%define rev 69490
%define ver 1.2.0
Name: embryo
Version: %ver.%rev
Release: alt1

Summary: Embryo bytecode compiler
License: LGPLv2.1+
Group: System/Libraries
Url: http://trac.enlightenment.org/e/browser/trunk/embryo

Packager: Serg A. Kotlyarov <shadowsbrother@gmail.com>

Source: %name.tar

# Automatically added by buildreq on Mon Feb 27 2012 (-bi)
BuildRequires: doxygen glibc-devel-static libeina-devel

%description
This package contains embryo compiler (embryo_cc)

%package -n lib%name
Summary: Enlightenment Small Interpret Library
Group: System/Libraries

%description -n lib%name
Embryo is a tiny library designed to interpret limited Small programs compiled by the included compiler, embryo_cc.
It is mostly a cleaned up and smaller version of the original Small abstract machine. The compiler is mostly untouched.

This package contains shared Embryo library.

%package -n lib%name-devel
Summary: Enlightenment Small Interpret Library development files
Group: Development/C
Requires: lib%name = %version-%release

%description -n lib%name-devel
Embryo is a tiny library designed to interpret limited Small programs compiled by the included compiler, embryo_cc.
It is mostly a cleaned up and smaller version of the original Small abstract machine. The compiler is mostly untouched.

This package contains headers, development libraries, test programs and
documentation for Embryo

%package -n %name-docs
Summary: Documentation for embryo
Group: Documentation
BuildArch: noarch

%description -n %name-docs
Documentation files for embryo

%prep
%setup -q -n %name

%build
./autogen.sh \
--prefix=/usr \
--enable-doc

%make_build

%install
%make DESTDIR=%buildroot install
rm -f %buildroot%_libdir/*.a
cd doc && doxygen Doxyfile

%files
%_bindir/*

%files -n lib%name
%_libdir/*.so.*

%files -n lib%name-devel
%_includedir/*
%_datadir/%name/include/*
%_libdir/*.so
%_libdir/pkgconfig/*

%files -n %name-docs
%doc AUTHORS README COPYING doc/html doc/latex

%changelog
